<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.pet.PetHeightActivity">

    <include
        android:id="@+id/il_pet_height_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView style="@style/my_ScrollView_style">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_set_height_pet_type"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/icon_pet_height_tip_svg" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:text="@string/acccount_height_how"
                android:textSize="@dimen/textSize16"
                app:typeface="@string/roboto_bold_font" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_12"
                android:text="@string/acccount_height_how_detail"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize12"
                app:typeface="@string/roboto_regular_font" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_50"
                android:text="@string/acccount_height"
                android:textSize="@dimen/textSize28"
                android:visibility="invisible"
                app:typeface="@string/roboto_bold_font" />

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <NumberPicker
                    android:id="@+id/np_dialog_pet_height_tens"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_12" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_dialog_pet_height_dot"
                    style="@style/my_TextView_style_v2"
                    android:layout_alignTop="@id/np_dialog_pet_height_tens"
                    android:layout_alignBottom="@id/np_dialog_pet_height_tens"
                    android:layout_marginHorizontal="@dimen/dp_6"
                    android:layout_toEndOf="@id/np_dialog_pet_height_tens"
                    android:text="."
                    android:textSize="@dimen/textSize24"
                    android:textStyle="bold" />

                <NumberPicker
                    android:id="@+id/np_dialog_pet_height_unit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignTop="@id/np_dialog_pet_height_tens"
                    android:layout_toEndOf="@+id/tv_dialog_pet_height_dot" />

                <NumberPicker
                    android:id="@+id/np_dialog_height_unit_switch"
                    android:layout_width="@dimen/dp_40"
                    android:layout_height="wrap_content"
                    android:layout_alignTop="@id/np_dialog_pet_height_tens"
                    android:layout_toEndOf="@id/np_dialog_pet_height_unit"
                    android:visibility="gone" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_show_height_unit"
                    style="@style/my_TextView_style_v2"
                    android:layout_alignTop="@id/np_dialog_pet_height_unit"
                    android:layout_alignBottom="@id/np_dialog_pet_height_unit"
                    android:layout_marginStart="@dimen/dp_6"
                    android:layout_toEndOf="@id/np_dialog_pet_height_unit"
                    android:text="@string/txt_in"
                    android:textSize="@dimen/textSize20"
                    app:typeface="@string/roboto_bold_font" />
            </RelativeLayout>

            <com.abbidot.tracker.widget.TypefaceButton
                android:id="@+id/btn_pet_height_save"
                style="@style/my_match_RoundRect_Button_style"
                android:layout_marginHorizontal="@dimen/dp_18"
                android:layout_marginTop="@dimen/dp_58"
                android:layout_marginBottom="@dimen/dp_42"
                android:text="@string/acccount_btn_save"
                app:qmui_radius="@dimen/dp_56"
                app:typeface="@string/roboto_bold_font" />
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>
</androidx.appcompat.widget.LinearLayoutCompat>